## AgsCertificate

AgsCertificate — base password certificate

## Stability Level

Stable, unless otherwise indicated

## Functions

gchar ** | ags_certificate_get_cert_uuid ()
void | ags_certificate_set_domain ()
gchar * | ags_certificate_get_domain ()
void | ags_certificate_set_key_type ()
gchar * | ags_certificate_get_key_type ()
void | ags_certificate_set_public_key_file ()
gchar * | ags_certificate_get_public_key_file ()
void | ags_certificate_set_private_key_file ()
gchar * | ags_certificate_get_private_key_file ()

## Object Hierarchy

        GInterface
        ╰── AgsCertificate

## Includes

    #include <ags/server/security/ags_certificate.h>

## Description

The AgsCertificate interface gives you a unique access to all objects and is responsible to set up signal handlers.

## Functions

### ags_certificate_get_cert_uuid ()

    gchar **
    ags_certificate_get_cert_uuid (AgsCertificate *certificate,
                                   GObject *security_context,
                                   gchar *user_uuid,
                                   gchar *security_token,
                                   GError **error);

Get cert UUID as string vector.

#### Parameters

certificate | the AgsCertificate |
security_context | the AgsSecurityContext |
user_uuid | the users unique identifier |
security_token | the security token |
error | the GError |

#### Returns

the cert UUIDs as `NULL` terminated string array.

[element-type utf8][array zero-terminated=1][transfer full]

Since: 3.0.0

### ags_certificate_set_domain ()

    void
    ags_certificate_set_domain (AgsCertificate *certificate,
                                GObject *security_context,
                                gchar *user_uuid,
                                gchar *security_token,
                                gchar *cert_uuid,
                                gchar *domain,
                                GError **error);

Set domain.

#### Parameters

certificate | the AgsCertificate |
security_context | the AgsSecurityContext |
user_uuid | the users unique identifier |
security_token | the security token |
cert_uuid | the cert's UUID |
domain | the domain |
error | the GError |

Since: 3.0.0

### ags_certificate_get_domain ()

    gchar *
    ags_certificate_get_domain (AgsCertificate *certificate,
                                GObject *security_context,
                                gchar *user_uuid,
                                gchar *security_token,
                                gchar *cert_uuid,
                                GError **error);

Get domain.

#### Parameters

certificate | the AgsCertificate |
security_context | the AgsSecurityContext |
user_uuid | the users unique identifier |
security_token | the security token |
cert_uuid | the cert's UUID |
error | the GError |

#### Returns

the domain.

[transfer full]

Since: 3.0.0

### ags_certificate_set_key_type ()

    void
    ags_certificate_set_key_type (AgsCertificate *certificate,
                                  GObject *security_context,
                                  gchar *user_uuid,
                                  gchar *security_token,
                                  gchar *cert_uuid,
                                  gchar *key_type,
                                  GError **error);

Set key type.

#### Parameters

certificate | the AgsCertificate |
security_context | the AgsSecurityContext |
user_uuid | the users unique identifier |
security_token | the security token |
cert_uuid | the cert's UUID |
key_type | the key type |
error | the GError |

Since: 3.0.0

### ags_certificate_get_key_type ()

    gchar *
    ags_certificate_get_key_type (AgsCertificate *certificate,
                                  GObject *security_context,
                                  gchar *user_uuid,
                                  gchar *security_token,
                                  gchar *cert_uuid,
                                  GError **error);

Get key type.

#### Parameters

certificate | the AgsCertificate |
security_context | the AgsSecurityContext |
user_uuid | the users unique identifier |
security_token | the security token |
cert_uuid | the cert's UUID |
error | the GError |

#### Returns

the key type.

[transfer full]

Since: 3.0.0

### ags_certificate_set_public_key_file ()

    void
    ags_certificate_set_public_key_file (AgsCertificate *certificate,
                                         GObject *security_context,
                                         gchar *user_uuid,
                                         gchar *security_token,
                                         gchar *cert_uuid,
                                         gchar *public_key_file,
                                         GError **error);

Set public key file.

#### Parameters

certificate | the AgsCertificate |
security_context | the AgsSecurityContext |
user_uuid | the users unique identifier |
security_token | the security token |
cert_uuid | the cert's UUID |
public_key_file | the public key file |
error | the GError |

Since: 3.0.0

### ags_certificate_get_public_key_file ()

    gchar *
    ags_certificate_get_public_key_file (AgsCertificate *certificate,
                                         GObject *security_context,
                                         gchar *user_uuid,
                                         gchar *security_token,
                                         gchar *cert_uuid,
                                         GError **error);

Get public key file.

#### Parameters

certificate | the AgsCertificate |
security_context | the AgsSecurityContext |
user_uuid | the users unique identifier |
security_token | the security token |
cert_uuid | the cert's UUID |
error | the GError |

#### Returns

the public key file.

[transfer full]

Since: 3.0.0

### ags_certificate_set_private_key_file ()

    void
    ags_certificate_set_private_key_file (AgsCertificate *certificate,
                                          GObject *security_context,
                                          gchar *user_uuid,
                                          gchar *security_token,
                                          gchar *cert_uuid,
                                          gchar *private_key_file,
                                          GError **error);

Set private key file.

#### Parameters

certificate | the AgsCertificate |
security_context | the AgsSecurityContext |
user_uuid | the users unique identifier |
security_token | the security token |
cert_uuid | the cert's UUID |
private_key_file | the private key file |
error | the GError |

Since: 3.0.0

### ags_certificate_get_private_key_file ()

    gchar *
    ags_certificate_get_private_key_file (AgsCertificate *certificate,
                                          GObject *security_context,
                                          gchar *user_uuid,
                                          gchar *security_token,
                                          gchar *cert_uuid,
                                          GError **error);

Get private key file.

#### Parameters

certificate | the AgsCertificate |
security_context | the AgsSecurityContext |
user_uuid | the users unique identifier |
security_token | the security token |
cert_uuid | the cert's UUID |
error | the GError |

#### Returns

the private key file.

[transfer full]

Since: 3.0.0